umbrello 2.39.2 Umbrello UML Modeller is a Unified Modelling Language (UML) diagram program based on KDE Technology

- Main Page
- Related Pages
- Topics
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Private Attributes | List of all members
LedStatus Class Reference

`#include <codegenstatuspage.h>`

Inheritance diagram for LedStatus:

## Public Member Functions
| LedStatus (int width, int height)
| ~LedStatus ()
void | setColor (const QColor &color)
void | setOn (bool isOn)

## Private Attributes
KLed * | m_led

## Constructor & Destructor Documentation

## ◆ LedStatus()

LedStatus::LedStatus | ( | int | width,
|  | int | height )
| inline

## ◆ ~LedStatus()

LedStatus::~LedStatus | ( |  | ) |
| inline

## Member Function Documentation

## ◆ setColor()

void LedStatus::setColor | ( | const QColor & | color | ) |
| inline

## ◆ setOn()

void LedStatus::setOn | ( | bool | isOn | ) |
| inline

## Member Data Documentation

## ◆ m_led

KLed* LedStatus::m_led
| private

The documentation for this class was generated from the following file:

- umbrello/codegenwizard/codegenstatuspage.h